# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EXTRA_ECONF="--with-ld=/usr/bin/${CTARGET}-ld --with-as=/usr/bin/${CTARGET}-as"
FEATURES="nostrip"
UCLIBC_VER="mips-1.0"

ETYPE="gcc-compiler"

SPLIT_SPECS=${SPLIT_SPECS-true}

inherit toolchain eutils

DESCRIPTION="GCC for the Sony PlayStation 2. Don't use for other platforms."

KEYWORDS="~mips"

gcc_quick_unpack() {
	/bin/true
}

src_unpack() {	
	unpack ${A}
	cd "${S}"

	gcc_src_unpack
	
	EPATCH_FORCE="yes"
	EPATCH_SUFFIX="patch.bz2"
	epatch "${FILESDIR}/${PV}"
}

src_install() {
	dodir /usr/lib
	sed -i -r "s:^([a-zA-Z_]+ ?= ?)/usr:\1${D}/usr:" "${WORKDIR}/build/Makefile" "${WORKDIR}"/build/*/libstdc++-v3/Makefile "${WORKDIR}"/build/*/libstdc++-v3/*/Makefile

	gcc-compiler_src_install
}
