# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

ETYPE="headers"
H_SUPPORTEDARCH="mips"
inherit kernel-2 eutils
detect_version

DESCRIPTION="MontaVista kernel headers for the Sony PlayStation 2"
HOMEPAGE="http://www.sony.net/Products/Linux/Download/PlayStation_BB_Navigator.html"
SRC_URI="${KERNEL_URI} mirror://gentoo/distfiles/10-linux-${PV}-ps2.patch.bz2"
KEYWORDS="~mips"

UNIPATCH_LIST="${DISTDIR}/10-linux-${PV}-ps2.patch.bz2"

src_install() {
	# We only need the mips stuff.
	find "${S}/include" -mindepth 1 -maxdepth 1 -name "asm-*" \! -name "asm-generic" \! -name "asm-mips" -exec rm -rf {} \;  &> /dev/null

	kernel-2_src_install
}
