# Copyright 1999-2007 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header:

inherit toolchain-funcs

DESCRIPTION="Clients for pukklink, ps2link and naplink"
HOMEPAGE="http://ps2dev.org"
SRC_URI="http://gps2.aura-online.co.uk/distfiles/${P}.tar.bz2"
KEYWORDS="~x86 ~amd64"
SLOT="0"
LICENSE="pksh-npsh"
IUSE=""

DEPEND=""
RDEPEND=""

pkg_setup() {
	[[ "$(gcc-major-version)" == "4" ]] && die "${PN} cannot be built with gcc 4"
}

src_install() {
	dobin pksh npsh
	dodoc README.pksh README.npsh SAMPLE.pkshrc SAMPLE.npshrc
}
